# Opinionated configuration for NeoVim, aiming to be powerful whilst being minimal.


## Notable plugins and features include :
- Whole configuration is written in `fennel` - lisp that compiles into lua
- `lazy.nvim` for plugin management
- `tangerine` for fennel compilation
- `hibiscus` for neovim fennel macros
- `markview.nvim` for amazing markdown previewing
- `oil.nvim` for buffer filesystem manipulation
- `lsp-zero` as a language server setup, simply briliant
- ...


# Installation
```
# doas pacman -S fennel

$ git clone https://git.bonsai.cool/brk/trixy ~/.config/nvim/
nvim +"Lazy sync"
```
It should pull Lazy.nvim itself, and also all of the plugins. Run :Mason to install your Language Servers of choice.

